<?php
//indique que le type de la réponse renvoyée au client sera du Texte
header("Content-Type: text/plain ; charset=utf-8");
//anti Cache pour HTTP/1.1
header("Cache-Control: no-cache , private");
//anti Cache pour HTTP/1.0
header("Pragma: no-cache");
//simulation du  temps d'attente du serveur (2 secondes)
sleep(2);
//Réception POST des paramètres en JSON
$parametresJSON = file_get_contents('php://input');
//--------------------------
require_once('JSON.php');
//--------------------------
//Alternative de codage/décodage JSON avec PHP  intégrée à PHP 5.2
//$resultat=json_encode($value);//pour PHP>JSON
//$sortie=json_decode($data);//pour JSON>PHP
//soit dans notre exemple :
//$objetJoueur=json_decode($parametresJSON);
//---------------------------
// Création d'une instance de JSON-PHP
$objetJSON = new Services_JSON();  
// Décodage des données JSON
$objetJoueur = $objetJSON->decode($parametresJSON);
//recupération du nom et prénom dans le tableau du joueur
$nomJoueur=$objetJoueur->nom;
$prenomJoueur=$objetJoueur->prenom;
//calcul du nouveau gain entre 0 et 100 Euros
$gain =  rand(0,100);
//concaténation du nom
$nom=$prenomJoueur." ".$nomJoueur;
//mise en forme du résultat avec le nom 
$resultat=$nom.':'.$gain;
//envoi de la réponse à la page HTML
echo $resultat ;
?>